export default {
    Led: {
        "ledgrp.rec.ownref": [
            { type: "string", required: false, message: "必输项" },
            { max: 16, message: "长度不能超过16" }
        ],
        "ledgrp.rec.nam": [
            { type: "string", required: false, message: "必输项" },
            { max: 40, message: "长度不能超过40" }
        ],
        "ledgrp.rec.nomtop": [
            { type: "string", required: false, message: "必输项" },
            { max: 2, message: "长度不能超过2" }
        ],
        "ledgrp.rec.nomton": [
            { type: "string", required: false, message: "必输项" },
            { max: 2, message: "长度不能超过2" }
        ],
        "ledgrp.rec.opndat": [
            { type: "date", required: false, message: "输入正确的日期" }
        ],
        "ledgrp.rec.preadvdt": [
            { type: "date", required: false, message: "输入正确的日期" }
        ],
        "ledgrp.rec.shpdat": [
            { type: "date", required: false, message: "输入正确的日期" }
        ],
        "ledgrp.rec.advdat": [
            { type: "date", required: false, message: "输入正确的日期" }
        ],
        "ledgrp.rec.expdat": [
            { type: "date", required: false, message: "输入正确的日期" }
        ],
        "ledgrp.rec.expplc": [
            { type: "string", required: false, message: "必输项" },
            { max: 29, message: "长度不能超过29" }
        ],
        "ledgrp.rec.oppbnk": [
            { type: "string", required: false, message: "必输项" },
            { max: 12, message: "长度不能超过12" }
        ],
        "ledgrp.rec.apprultxt": [
            { type: "string", required: false, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.rec.prepers18": [
            { type: "string", required: false, message: "必输项" },
            { max: 3, message: "长度不能超过3" }
        ],
        "ledgrp.rec.prepertxts18": [
            { type: "string", required: false, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.rec.shpfro": [
            { type: "string", required: false, message: "必输项" },
            { max: 65, message: "长度不能超过65" }
        ],
        "ledgrp.rec.tenmaxday": [
            { type: "string", required: false, message: "必输项" },
            { max: 4, message: "长度不能超过4" }
        ],
        "ledgrp.rec.porloa": [
            { type: "string", required: true, message: "必输项" },
            { max: 65, message: "长度不能超过65" }
        ],
        "ledgrp.rec.pordis": [
            { type: "string", required: true, message: "必输项" },
            { max: 65, message: "长度不能超过65" }
        ],
        "ledgrp.rec.shpto": [
            { type: "string", required: false, message: "必输项" },
            { max: 65, message: "长度不能超过65" }
        ],
        "ledgrp.rec.revtimes": [
            { type: "string", required: false, message: "必输项" },
            { max: 2, message: "长度不能超过2" }
        ],
        "ledgrp.rec.revnbr": [
            { type: "string", required: false, message: "必输项" },
            { max: 2, message: "长度不能超过2" }
        ],
        "ledgrp.rec.revdat": [
            { type: "date", required: false, message: "输入正确的日期" }
        ],
    },
    blk: {
        "ledgrp.blk.mixdet": [
            { type: "string", required: true, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.blk.avbwthtxt": [
            { type: "string", required: true, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.blk.preper": [
            { type: "string", required: true, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.blk.defdet": [
            { type: "string", required: true, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.blk.feetxt": [
            { type: "string", required: true, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.blk.dftat": [
            { type: "string", required: true, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.blk.shpper": [
            { type: "string", required: true, message: "必输项" },
            { max: 65, message: "长度不能超过65" }
        ],
        "ledgrp.blk.lcrgod": [
            { type: "string", required: true, message: "必输项" },
            { max: 52000, message: "长度不能超过52000" }
        ],
        "ledgrp.blk.lcrdoc": [
            { type: "string", required: true, message: "必输项" },
            { max: 52000, message: "长度不能超过52000" }
        ],

        "ledgrp.blk.adlcnd": [
            { type: "string", required: true, message: "必输项" },
            { max: 52000, message: "长度不能超过52000" }
        ],
        "ledgrp.blk.insbnk": [
            { type: "string", required: true, message: "必输项" },
            { max: 2000, message: "长度不能超过2000" }
        ],
        "ledgrp.blk.revcls": [
            { type: "string", required: true, message: "必输项" },
            { max: 65, message: "长度不能超过65" }
        ],
        "ledgrp.blk.revnotes": [
            { type: "string", required: true, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.blk.addamtcov": [
            { type: "string", required: true, message: "必输项" },
            { max: 140, message: "长度不能超过140" }
        ],
        "ledgrp.blk.spcben": [
            { type: "string", required: true, message: "必输项" },
            { max: 52000, message: "长度不能超过52000" }
        ],
        "ledgrp.blk.spcrcb": [
            { type: "string", required: true, message: "必输项" },
            { max: 52000, message: "长度不能超过52000" }
        ],
    },
}